scala.xml.pull
class XMLEventReader

[source: `scala/xml/pull/XMLEventReader.scala`]

`` `class` XMLEventReader
  `extends` Iterator[XMLEvent]

  A pull parser that offers to view an XML document as a series of events. Please note that this API might change. Here's how to use this class

        import scala.xml._
        import scala.xml.pull._
        import scala.io.Source

        object reader {
          val src = Source.fromString("")
          val er = new XMLEventReader().initialize(src)

          def main(args: Array[String]) {
            Console.println(er.next)
            Console.println(er.next)
          }
        }

Author
  Burak Emir

Value Summary
`var` | continue : Boolean
`var` | parserThread : java.lang.Thread
`var` | src : Source
`var` | xmlEvent : XMLEvent

Method Summary
`def` | doNotify : NodeSeq
`def` | getAndClearEvent : XMLEvent
`def` | getSource : Source
`def` | hasNext : Boolean Does this iterator provide another element?
`def` | initialize (src : Source) : XMLEventReader
`def` | myresume : Unit
`def` | next : XMLEvent Returns the next element.
`def` | setEvent (e : XMLEvent) : Unit

Methods inherited from Iterator
take, drop, map, append, ++, flatMap, filter, takeWhile, dropWhile, zip, zipWithIndex, foreach, forall, exists, contains, find, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, buffered, counted, duplicate, copyToArray, readInto, readInto, readInto, copyToBuffer, toList, mkString, mkString, addString, toString

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`class` | Parser `extends` MarkupHandler `with` MarkupParser `with` ExternalSources `with` java.lang.Runnable

Value Details

`` `var` src : Source

`` `var` xmlEvent : XMLEvent

`` `var` continue : Boolean

`` `var` parserThread : java.lang.Thread

Method Details

`` `def` getSource : Source

`` `def` initialize(src : Source) : XMLEventReader

`` `def` myresume : Unit

`` `def` getAndClearEvent : XMLEvent

`` `def` setEvent(e : XMLEvent) : Unit

`` `def` doNotify : NodeSeq

`` `def` next : XMLEvent

  Returns the next element.

Overrides
  Iterator.next

`` `def` hasNext : Boolean

  Does this iterator provide another element?

Overrides
  Iterator.hasNext